Name:		qjackctl
Version:	1.0.1
Release:	%mkrel 1
Summary:	A QT GUI for the jack audio daemon
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://qjackctl.sourceforge.net/
Source0:	https://downloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qttools6
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake
BuildRequires:	ninja

Requires:	jackit >= 0.90.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README TRANSLATORS
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Sat Aug 03 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2083501
- new version: 1.0.1

* Wed Jun 19 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2075505
- new version: 1.0.0

* Tue Feb 06 2024 daviddavid <daviddavid> 0.9.13-1.mga10
+ Revision: 2037921
- new version: 0.9.13

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.12-1.mga10
+ Revision: 1988450
- new version: 0.9.12

* Mon Aug 28 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1980340
- new version: 0.9.11

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.9-1.mga9
+ Revision: 1927391
- new version: 0.9.9

* Sun Nov 06 2022 daviddavid <daviddavid> 0.9.8-2.mga9
+ Revision: 1904115
- build with required Qt6 component "Network"

* Sun Nov 06 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1903977
- new version: 0.9.8

* Tue Aug 23 2022 papoteur <papoteur> 0.9.7-1.mga9
+ Revision: 1879597
- new 0.9.7
  build with Qt6

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3-2.mga9
+ Revision: 1843650
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1725595
- new version: 0.9.3

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704011
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690881
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661126
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659487
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610113
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559659
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541320
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469563
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454273
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.9-1.mga8
+ Revision: 1420787
- new version: 0.5.9

* Sun Jun 30 2019 daviddavid <daviddavid> 0.5.8-1.mga8
+ Revision: 1416336
- new version: 0.5.8

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.7-1.mga7
+ Revision: 1388306
- new version: 0.5.7

* Mon Apr 01 2019 umeabot <umeabot> 0.5.6-2.mga7
+ Revision: 1384220
- Qt5 Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.5.6-1.mga7
+ Revision: 1374149
- new version: 0.5.6

* Sat Nov 24 2018 daviddavid <daviddavid> 0.5.5-1.mga7
+ Revision: 1333863
- new version: 0.5.5

* Tue Sep 25 2018 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1304497
- new version: 0.5.4

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1300654
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1244862
- new version: 0.5.3

* Mon May 28 2018 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1232753
- new version: 0.5.2

* Tue May 22 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1231339
- new version: 0.5.1

* Sat Dec 23 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1184133
- new version: 0.5.0

* Sat Jun 03 2017 akien <akien> 0.4.5-1.mga6
+ Revision: 1106017
- Version 0.4.5

* Thu Nov 17 2016 daviddavid <daviddavid> 0.4.4-1.mga6
+ Revision: 1067994
- new version: 0.4.4

* Tue Sep 20 2016 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1054702
- new version: 0.4.3

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 998829
- new version: 0.4.2

* Tue Feb 16 2016 umeabot <umeabot> 0.4.1-2.mga6
+ Revision: 962511
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 daviddavid <daviddavid> 0.4.1-1.mga6
+ Revision: 896396
- new version: 0.4.1
- remove merged upstream patch
- update BuildRequires list

* Sat Sep 05 2015 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 873076
- new version: 0.4.0
- build with Qt5
- update Source URL
- switch BuildRequires to pkgconfig()
- remove keys "X-SuSE-translate" and "Version" from desktop file
+ ycantin <ycantin>
- new version 0.3.13
- fix file list
- enable debug for debuginfo package

* Sun Jun 21 2015 wally <wally> 0.3.12-1.mga6
+ Revision: 837600
- new version 0.3.12

* Wed Dec 24 2014 wally <wally> 0.3.9-8.mga5
+ Revision: 805411
- use configure2_5x macro
- move translations to a better place
- update URL

* Wed Oct 15 2014 umeabot <umeabot> 0.3.9-7.mga5
+ Revision: 743661
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.9-6.mga5
+ Revision: 730078
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-5.mga5
+ Revision: 688489
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-4.mga4
+ Revision: 517857
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 379834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.3.9-2.mga3
+ Revision: 322118
- Changed group in line with new policy
- Corrected  desktop file categories
- minor spec clean

* Fri Jun 08 2012 shlomif <shlomif> 0.3.9-1.mga3
+ Revision: 257637
- New version - 0.3.9 - thanks to Mandriva's package for some changes

* Fri Apr 08 2011 ennael <ennael> 0.3.6-2.mga1
+ Revision: 82135
- clean spec file
- imported package qjackctl


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-2mdv2011.0
+ Revision: 614674
- the mass rebuild of 2010.1 packages

* Wed Mar 10 2010 Frank Kober <emuse@mandriva.org> 0.3.6-1mdv2010.1
+ Revision: 517281
- new version 0.3.6

* Thu Nov 26 2009 Jérôme Brenier <incubusss@mandriva.org> 0.3.5-1mdv2010.1
+ Revision: 470272
- new version 0.3.5
- drop P0 (merged upstream)

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2010.0
+ Revision: 442557
- rebuild

* Thu Jan 01 2009 trem <trem@mandriva.org> 0.3.4-2mdv2009.1
+ Revision: 323187
- fix licence (rpmlint warning)
- add patch to fix the save of profile without any change

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Dec 06 2008 trem <trem@mandriva.org> 0.3.4-1mdv2009.1
+ Revision: 311185
- new release 0.3.4

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2009.0
+ Revision: 259953
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2009.0
+ Revision: 247774
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138718
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1a-2mdv2008.0
+ Revision: 59093
- fix the menu

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1a-1mdv2008.0
+ Revision: 57218
- 0.3.1a

* Wed Jul 11 2007 Austin Acton <austin@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 51160
- buildrequires desktop-file-utils
- new version
- yay for qt4
- drop my beloved jackwrapper (I will always love you)

* Sat Jul 07 2007 Austin Acton <austin@mandriva.org> 0.2.23-1mdv2008.0
+ Revision: 49293
- drop debian menu
- use bundled desktop file
- new version

* Thu Jun 14 2007 Austin Acton <austin@mandriva.org> 0.2.22-1mdv2008.0
+ Revision: 39339
- new version

* Fri May 25 2007 Austin Acton <austin@mandriva.org> 0.2.21-3mdv2008.0
+ Revision: 31109
- oops, fix buildrequires for x86_64

* Wed May 23 2007 Austin Acton <austin@mandriva.org> 0.2.21-2mdv2008.0
+ Revision: 30372
- buildrequires alsa to force linking (closes #30881)


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.2.21-1mdv2007.1
+ Revision: 144158
- new release
- Import qjackctl

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.20.10-0.20060518.2mdv2007.0
- xdg menu

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.2.20.10-0.20060518.1mdk
- go cvs for freebob support
- mkrel

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.20-1mdk
- 0.2.20

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.2.19a-1mdk
- New release 0.2.19a

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.2.19-1mdk
- 0.2.19

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.2.18-2mdk
- Fix x86_64 build

* Wed Jul 20 2005 Austin Acton <austin@mandriva.org> 0.2.18-1mdk
- New release 0.2.18

* Sat Jun 18 2005 Lenny Cartier <lenny@mandriva.com> 0.2.17-1mdk
- 0.2.17

* Wed Jun 15 2005 Austin Acton <austin@mandriva.org> 0.2.16-1mdk
- New release 0.2.16

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15a-1mdk
- 0.2.15a

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.2.15-1mdk
- 0.2.15

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.14-1mdk
- 0.2.14

* Sun Nov 21 2004 Austin Acton <austin@mandrake.org> 0.2.13-1mdk
- 0.2.13

* Wed Oct 13 2004 Austin Acton <austin@mandrake.org> 0.2.12a-1mdk
- 0.2.12a

* Sat Oct 09 2004 Austin Acton <austin@mandrake.org> 0.2.12-1mdk
- 0.2.12

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.2.11-1mdk
- 0.2.11

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.2.9-2mdk
- add jackwrapper

* Mon Jul 05 2004 Austin Acton <austin@mandrakesoft.com> 0.2.9-1mdk
- 0.2.9

* Mon Apr 05 2004 Austin Acton <austin@mandrake.org> 0.2.7-1mdk
- 0.2.7

